@echo Copyright(c) 2003 by EasyCODE Inc.
@echo This Batch file converts all files with EasyCODE Comments to 
@echo files without EasyCODE Comments.
@echo The program rmeccppc.exe is needed.
@echo Type in remComments ? for further information.

@rem Made by Florian Falk on 16.01.2003
@rem Usage: remComments.bat <filemask> <Directory> <targetfiledir(optional)>
@rem If no targetfile dir is given, the program will overwrite the files 
@rem selected by filemask and directory param. The target file dir will 
@rem be created if it doesn't exists
@rem The program rmeccppc.exe has to be in the same directory as this batch file.
@echo off

:start
goto help

:help
if "%1"=="?" @echo Usage: remComments.bat "filemask" "Directory"
if not "%1"=="?" goto executetest

:executetest
if "%1"=="" @echo usage: remComments.bat filemask Directory targetfiledir(optional)
if "%1"=="" goto end
if "%2"=="" @echo usage: remComments.bat filemask Directory targetfiledir(optional)
if "%2"=="" goto end
if not "%1"=="" if not "%2"=="" if "%3"=="" goto executewithoutcopy
if not "%1"=="" if not "%2"=="" if not "%3"=="" goto execute

:executewithoutcopy
@echo 1
for %%f in (%2\%1) do rmeccppc.exe %%f -c=EasyCASE
goto end

:execute
@echo 2
md %3
for %%f in (%1) do rmeccppc.exe %2\%%f %3\%%f -c=EasyCASE
@echo All files converted!

:end
